## openvpn-systemd-resolved 1.2.0

=== Makefile ===
PREFIX := /etc/openvpn
DESTDIR := $(PREFIX)/scripts

SRC = update-systemd-resolved
DEST = $(DESTDIR)/$(SRC)

.PHONY: all install info

all: install info

install:
	@install -Dm750 $(SRC) $(DEST)

info:
	@printf 'Successfully installed %s to %s.\n' $(SRC) $(DEST)
	@echo
	@echo 'Now would be a good time to update /etc/nsswitch.conf:'
	@echo '  # Use systemd-resolved first, then fall back to /etc/resolv.conf'
	@echo '  hosts: files resolve dns myhostname'
	@echo '  # Use /etc/resolv.conf first, then fall back to systemd-resolved'
	@echo '  hosts: files dns resolve myhostname'
	@echo
	@echo 'You should also update your OpenVPN configuration:'
	@printf '  script-security 2\n  up %s\n  down-pre %s\n' $(DEST) $(DEST)

test:
	@./run-tests

=== debian/changelog ===
openvpn-systemd-resolved (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Add README to /usr/share/doc/openvpn-systemd-resolved

 -- Eugene Zhukov <eugene@debian.org>  Tue, 30 Aug 2016 11:58:44 +0000

openvpn-systemd-resolved (1.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #834819)

 -- Eugene Zhukov <eugene@debian.org>  Fri, 19 Aug 2016 09:54:18 +0000

## openvpn-systemd-resolved 1.2.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
-PREFIX := /etc/openvpn
-DESTDIR := $(PREFIX)/scripts
+PREFIX ?= /etc/openvpn/scripts
 
 SRC = update-systemd-resolved
-DEST = $(DESTDIR)/$(SRC)
+DEST = $(DESTDIR)$(PREFIX)/$(SRC)
 
 .PHONY: all install info

=== debian/changelog ===
openvpn-systemd-resolved (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Eugene Zhukov <eugene@debian.org>  Fri, 30 Dec 2016 20:55:56 +0200

openvpn-systemd-resolved (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Eugene Zhukov <eugene@debian.org>  Mon, 10 Oct 2016 10:34:18 +0000

=== debian/control ===
Source: openvpn-systemd-resolved
Section: utils
Priority: optional
Maintainer: Eugene Zhukov <eugene@debian.org>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://github.com/jonathanio/update-systemd-resolved
Vcs-Git: https://anonscm.debian.org/git/collab-maint/openvpn-systemd-resolved
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/openvpn-systemd-resolved

Package: openvpn-systemd-resolved
Architecture: any
Depends: openvpn, systemd (>=229), ${misc:Depends}
Description: integrates OpenVPN with systemd-resolved
 This is a helper script designed to integrate OpenVPN with the
 systemd-resolved service via DBus instead of trying to override
 /etc/resolv.conf, or manipulate systemd-networkd configuration files.
 .
 Since systemd-229, the systemd-resolved service has an API available via DBus
 which allows directly setting the DNS configuration for a link. This script
 makes use of busctl from systemd to send DBus messages to systemd-resolved to
 update the DNS for the link created by OpenVPN.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:

get-orig-source:
	uscan --download-current-version --rename --repack --compression xz

## openvpn-systemd-resolved 1.2.5

=== debian/changelog ===
openvpn-systemd-resolved (1.2.5-1) unstable; urgency=medium

  * Add libnss-resolve to Depends
  * New upstream release

 -- Eugene Zhukov <eugene@debian.org>  Thu, 09 Mar 2017 09:23:18 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: openvpn-systemd-resolved
 Architecture: any
-Depends: openvpn, systemd (>=229), ${misc:Depends}
+Depends: openvpn, libnss-resolve, systemd (>=229), ${misc:Depends}
 Description: integrates OpenVPN with systemd-resolved
  This is a helper script designed to integrate OpenVPN with the
  systemd-resolved service via DBus instead of trying to override

## openvpn-systemd-resolved 1.2.6

=== debian/changelog ===
openvpn-systemd-resolved (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * Bump policy to 4.0.1
    d/copyright: copyright-format URL changed to https

 -- Eugene Zhukov <eugene@debian.org>  Sun, 06 Aug 2017 11:22:53 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Eugene Zhukov <eugene@debian.org>
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/jonathanio/update-systemd-resolved
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/openvpn-systemd-resolved
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/openvpn-systemd-resolved

## openvpn-systemd-resolved 1.2.7

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@echo '  hosts: files dns resolve myhostname'
 	@echo
 	@echo 'You should also update your OpenVPN configuration:'
-	@printf '  script-security 2\n  up %s\n  down-pre %s\n' $(DEST) $(DEST)
+	@printf '  setenv PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin\n  script-security 2\n  up %s\n  down %s\n  down-pre' $(DEST) $(DEST)
 
 test:
 	@./run-tests

=== debian/changelog ===
openvpn-systemd-resolved (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Bump policy to 4.1.4 (get-orig-source rules target removed)
  * Switch to debhelper level 11

 -- Eugene Zhukov <eugene@debian.org>  Mon, 23 Apr 2018 07:06:29 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Eugene Zhukov <eugene@debian.org>
-Build-Depends: debhelper (>=9)
-Standards-Version: 4.0.1
+Build-Depends: debhelper (>=11)
+Standards-Version: 4.1.4
 Homepage: https://github.com/jonathanio/update-systemd-resolved
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/openvpn-systemd-resolved
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/openvpn-systemd-resolved

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:

## openvpn-systemd-resolved 1.3.0

=== Makefile ===
PREFIX ?= /etc/openvpn/scripts

SRC = update-systemd-resolved
DEST = $(DESTDIR)$(PREFIX)/$(SRC)

.PHONY: all install info

all: install info

install:
	@install -Dm750 $(SRC) $(DEST)
	@install -Dm644 $(SRC).conf $(DEST).conf

info:
	@printf 'Successfully installed %s to %s.\n' $(SRC) $(DEST)
	@echo
	@echo   'Now would be a good time to update /etc/nsswitch.conf:'
	@echo
	@echo   '  # Use systemd-resolved first, then fall back to /etc/resolv.conf'
	@echo   '  hosts: files resolve dns myhostname'
	@echo   '  # Use /etc/resolv.conf first, then fall back to systemd-resolved'
	@echo   '  hosts: files dns resolve myhostname'
	@echo
	@echo   'You should also update your OpenVPN configuration:'
	@echo
	@printf '  setenv PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin\n'
	@echo   '  script-security 2'
	@printf '  up %s\n' $(DEST)
	@echo   '  up-restart'
	@printf '  down %s\n' $(DEST)
	@echo   '  down-pre'
	@echo
	@printf 'or pass --config %s.conf\n' $(DEST)
	@echo 'in addition to any other --config arguments to your openvpn command.'
test:
	@./run-tests

=== debian/changelog ===
openvpn-systemd-resolved (1.3.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Jakob Haufe <sur5r@debian.org>  Sun, 10 Aug 2025 19:23:59 +0200

openvpn-systemd-resolved (1.3.0-5~exp0) experimental; urgency=medium

  * Adopt package (Closes: #987147)
  * Minor packaging cleanup, no functional changes

 -- Jakob Haufe <sur5r@debian.org>  Sun, 10 Aug 2025 19:22:42 +0200

openvpn-systemd-resolved (1.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + openvpn-systemd-resolved: Add Multi-Arch: same.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Orphan package - see bug 987147.

  [ Boyuan Yang ]
  * QA upload.

 -- Boyuan Yang <byang@debian.org>  Sun, 18 Jun 2023 13:48:54 -0400

openvpn-systemd-resolved (1.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use resolvectl instead of systemd-resolve (Closes: #979267)

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jan 2021 19:46:12 +0100

openvpn-systemd-resolved (1.3.0-3) unstable; urgency=medium

  * Move conffile from /etc/openvpn to /usr/share/doc (Closes: #933987)
  * Bump policy to 4.4.0

 -- Eugene Zhukov <eugene@debian.org>  Tue, 06 Aug 2019 09:52:02 +0300

openvpn-systemd-resolved (1.3.0-2) unstable; urgency=medium

  * Add new conffile to /etc/openvpn

 -- Eugene Zhukov <eugene@debian.org>  Mon, 22 Jul 2019 11:10:33 -0300

openvpn-systemd-resolved (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs URLs to point to salsa server
  * Trim trailing whitespace.
  * Bump policy to 4.3.0 (no changes)

 -- Eugene Zhukov <eugene@debian.org>  Tue, 25 Jun 2019 15:17:38 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: openvpn-systemd-resolved
 Section: utils
 Priority: optional
-Maintainer: Eugene Zhukov <eugene@debian.org>
-Build-Depends: debhelper (>=11)
-Standards-Version: 4.1.4
+Maintainer: Jakob Haufe <sur5r@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Homepage: https://github.com/jonathanio/update-systemd-resolved
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/openvpn-systemd-resolved
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/openvpn-systemd-resolved
+Vcs-Git: https://salsa.debian.org/debian/openvpn-systemd-resolved.git
+Vcs-Browser: https://salsa.debian.org/debian/openvpn-systemd-resolved
 
 Package: openvpn-systemd-resolved
 Architecture: any
 Depends: openvpn, libnss-resolve, systemd (>=229), ${misc:Depends}
+Multi-Arch: same
 Description: integrates OpenVPN with systemd-resolved
  This is a helper script designed to integrate OpenVPN with the
  systemd-resolved service via DBus instead of trying to override

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:

=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://api.github.com/repos/jonathanio/update-systemd-resolved/releases \
 https://api.github.com/repos/jonathanio/update-systemd-resolved/tarball/v@ANY_VERSION@
